<?php
require_once('../connect.php');

$id_unidade = $_POST['id_unidade'];



if(isset($_POST['anual'])){

    $ar_retorno_anual = array(
        'ar_vl_forma_pagamento' => ''
        ,'ar_vl_grupo_produtos_anual' => ''
        ,'ar_receitas_pl_contas_anual' => ''
        ,'ar_custos_pl_contas_anual' => ''
        ,'ar_vendas_ano' => ''
    );
    
    $sql_vl_forma_pagamento = "select   pl.id_forma_pagamento
                                        ,fp.ds_forma
                                        ,sum(pi.nr_quantidade * (pi.vl_unitario - pi.vl_desconto_produto)) soma
                            	from erpc_pedidos_venda_liberados pl
                            		inner join erpc_pedidos_itens_liberados pi
                            			on pl.id = pi.id_pedido_venda_liberado
                            		inner join erpc_dom_forma_pagamento fp
                            			on pl.id_forma_pagamento = fp.id
                                where pl.id_unidade = $id_unidade
                        		and pl.st_ativo = 1
                                and year(pl.dh_liberacao) = year(NOW())
                            		group by pl.id_forma_pagamento; ";
    
    $ar_vl_forma_pagamento_anual = array();
    
    $resultado_vl_forma_pagamento = mysqli_query($conexao, $sql_vl_forma_pagamento);
    if(mysqli_num_rows($resultado_vl_forma_pagamento) > 0 ){
        while($vl_forma_pagamento = mysqli_fetch_assoc($resultado_vl_forma_pagamento)){
            $id_forma_pagamento = $vl_forma_pagamento['id_forma_pagamento'];
            $ds_forma_pagamento = $vl_forma_pagamento['ds_forma'];
            $vl_venda           = $vl_forma_pagamento['soma'];
            array_push($ar_vl_forma_pagamento_anual, array("id" => $id_forma_pagamento, "ds_label" => $ds_forma_pagamento, "vl_dinheiro" => $vl_venda));
        }
    }
    
    //print_r($ar_vl_forma_pagamento_anual);
    
    //echo json_encode($ar_vl_forma_pagamento_anual, JSON_UNESCAPED_UNICODE);
    //array_push($ar_retorno_anual, $ar_vl_forma_pagamento_anual);

    $ar_retorno_anual['ar_vl_forma_pagamento'] = $ar_vl_forma_pagamento_anual;

//if(isset($_POST['grupo_produto_anual'])){
    
    
    
    /*  Vendas por Grupo de Produto */
    
    /* Anual */
    $sql_vl_grupo_produtos_anual = "select 	 id_grupo
                                		,ds_grupo
                                		,SUM(vl_total_pedido) soma
                                		,SUM(nr_vendas)
                                	from
                                			(select 	pg.id id_grupo
                                					,pg.ds_grupo
                                					,SUM(vl.vl_total_pedido) vl_total_pedido
                                					,count(*) nr_vendas
                                				from erpc_pedidos_venda_liberados vl
                                					inner join erpc_pedidos_itens_liberados il
                                						on vl.id = il.id_pedido_venda_liberado
                                					inner join erpc_produtos p
                                						on il.id_produto = p.id
                                					inner join erpc_produtos_grupo pg
                                						on p.id_grupo_produto = pg.id
                                				where YEAR(dh_liberacao) = YEAR(NOW())
                                					and id_unidade=$id_unidade
                                					and id_status_pedido = 8
                                                    and vl.st_ativo = 1
                                				group by id_grupo
                                		UNION ALL
                                			select   pg.id id_grupo
                                					,pg.ds_grupo
                                					,SUM(vl.vl_total_pedido)
                                					,count(*) nr_vendas
                                				from erpc_pedidos_venda_liberados vl
                                				inner join erpc_pedidos_documentos_saida pds
                                					on vl.id = pds.id_pedido_liberados
                                				inner join erpc_documentos_saida ds
                                					on pds.id_documento_saida = ds.id
                                				inner join erpc_pedidos_itens_liberados il
                                					on vl.id = il.id_pedido_venda_liberado
                                				inner join erpc_produtos p
                                					on il.id_produto = p.id
                                				inner join erpc_produtos_grupo pg
                                					on p.id_grupo_produto = pg.id
                                			where YEAR(ds.dt_emissao) = YEAR(NOW())
                                				and vl.id_unidade=$id_unidade
                                                and vl.st_ativo = 1
                                				and vl.id_status_pedido = 4
                                				and ds.cd_status_nfe in ('06000', '100')
                                				group by id_grupo) uniao
                                	group by id_grupo;";
    
    //and pl.dh_liberacao between STR_TO_DATE('$dt_inicial', '%d/%m/%Y ') and STR_TO_DATE('$dt_final 23:59', '%d/%m/%Y %k:%i')
    
    $ar_vl_grupo_produtos_anual = array();
    $resultado_vl_grupos = mysqli_query($conexao, $sql_vl_grupo_produtos_anual);
    if(mysqli_num_rows($resultado_vl_grupos)> 0 ){
        while($grupo = mysqli_fetch_assoc($resultado_vl_grupos)){
            $id_grupo = $grupo['id_grupo'];
            $ds_grupo = $grupo['ds_grupo'];
            $soma     = $grupo['soma'];
            array_push($ar_vl_grupo_produtos_anual, array("id_grupo" => $id_grupo, "ds_label" => $ds_grupo, "vl_dinheiro" => $soma));
        }
    }
    
    //echo json_encode($ar_vl_grupo_produtos_anual, JSON_UNESCAPED_UNICODE);
    //array_push($ar_retorno_anual, $ar_vl_grupo_produtos_anual);
    $ar_retorno_anual['ar_vl_grupo_produtos_anual'] = $ar_vl_grupo_produtos_anual;
    

    /* Custos e Receitas por Plano de Contas; */
    
    // ANUAL
    
    $sql_custo_anual    = "select 	 pc.ds_codigo cod_plano
                            		,pc.ds_plano
                            		,sum(vl_saldo - vl_desconto) saldo
                             from 	erpc_financeiro_lancamentos lanc
                            		inner join erpc_financeiro_plano_contas pc
                            			on lanc.id_planofin = pc.id
                             where lanc.id_tipo_titulo = 2
                                    and pc.st_ativo = 1
                            		and year(lanc.dt_vencimento) = year(now())
                             group by id_planofin
                             order by ds_codigo;";
    
    $ar_custos_pl_contas_anual = array();
    $resultado_custo_anual = mysqli_query($conexao, $sql_custo_anual);
    if(mysqli_num_rows($resultado_custo_anual) > 0){
        while($registro = mysqli_fetch_assoc($resultado_custo_anual)){
            $cod_plano = $registro['cod_plano'];
            $ds_plano  = $registro['ds_plano'];
            $saldo     = $registro['saldo'];
            array_push($ar_custos_pl_contas_anual, array('cod_plano' => $cod_plano, 'ds_label' => $ds_plano, 'vl_dinheiro' => $saldo));
        }
    }
    
    
    $sql_receita_anual = "select 	 pc.ds_codigo cod_plano
                            		,pc.ds_plano
                            		,sum(vl_saldo - vl_desconto) saldo
                             from 	erpc_financeiro_lancamentos lanc
                            		inner join erpc_financeiro_plano_contas pc
                            			on lanc.id_planofin = pc.id
                             where  lanc.id_tipo_titulo = 1
                                    and pc.st_ativo = 1
                            		and year(lanc.dt_vencimento) = year(now())
                             group by id_planofin
                             order by ds_codigo
                            ;";
    
    $ar_receitas_pl_contas_anual = array();
    $resultado_receita_anual = mysqli_query($conexao, $sql_receita_anual);
    if(mysqli_num_rows($resultado_receita_anual) > 0){
        while($registro = mysqli_fetch_assoc($resultado_receita_anual)){
            $cod_plano = $registro['cod_plano'];
            $ds_plano  = $registro['ds_plano'];
            $saldo     = $registro['saldo'];
            array_push($ar_receitas_pl_contas_anual, array('cod_plano' => $cod_plano, 'ds_label' => $ds_plano, 'vl_dinheiro' => $saldo));
        }
    }
    
    $ar_retorno_anual['ar_custos_pl_contas_anual'] = $ar_custos_pl_contas_anual;
    $ar_retorno_anual['ar_receitas_pl_contas_anual'] = $ar_receitas_pl_contas_anual;
    
    
    $sql_graf_anual = "select 	 mes
                                    ,SUM(vl_total_pedido) vl_total
                            from (
                                    select 	MONTH(vl.dh_liberacao) mes
                                            ,SUM(vl_total_pedido) vl_total_pedido
                                            from erpc_pedidos_venda_liberados vl
                                                inner join erpc_dom_forma_pagamento fp
                                                    on vl.id_forma_pagamento = fp.id
                                            where YEAR(dh_liberacao) = YEAR(NOW())
                                                and id_unidade=1
                                                and id_status_pedido = 8
                                                and vl.st_ativo = 1
                                            group by MONTH(vl.dh_liberacao)
                                    UNION ALL
                                    select 	 MONTH(vl.dh_liberacao) mes
                                            ,SUM(vl.vl_total_pedido)
                                            from erpc_pedidos_venda_liberados vl
                                            inner join erpc_pedidos_documentos_saida pds
                                                on vl.id = pds.id_pedido_liberados
                                            inner join erpc_documentos_saida ds
                                                on pds.id_documento_saida = ds.id
                                            inner join erpc_dom_forma_pagamento fp
                                                on vl.id_forma_pagamento = fp.id
                                        where YEAR(ds.dt_emissao) = YEAR(NOW())
                                            and vl.id_unidade=1
                                            and vl.st_ativo = 1
                                            and vl.id_status_pedido = 4
                                            and ds.cd_status_nfe in ('06000', '100')
                                        group by MONTH(vl.dh_liberacao)
                                ) uniao
                            group by mes;";
    
    
    $ar_nr_mes = array(
        'nr_mes' => '',
        'vl_dinheiro' => 0.00    
    );
    
    
    $ar_vendas_ano = array(
        array('ds_label' => 'Janeiro', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Fevereiro', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Março', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Abril', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Maio', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Junho', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Julho', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Agosto', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Setembro', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Outubro', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Novembro', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Dezembro', 'vl_dinheiro' => 0.00)
    );
    
    //$ar_vendas_ano = array();
    
    $result_vendas_ano = mysqli_query($conexao, $sql_graf_anual) or die(mysqli_error($conexao));
    if(mysqli_num_rows($result_vendas_ano) > 0){
        while($mes_venda = mysqli_fetch_assoc($result_vendas_ano)){
            $nr_mes = $mes_venda['mes'];
            $vl_mes = $mes_venda['vl_total'];
            $ar_vendas_ano[$nr_mes-1]['vl_dinheiro'] = $vl_mes;
        }
    }
    
    $ar_retorno_anual['ar_vendas_ano'] = $ar_vendas_ano;
    
    
    echo json_encode($ar_retorno_anual, JSON_UNESCAPED_UNICODE);

}

if(isset($_POST['mensal'])){
    
    $ar_retorno_mensal = array(
        'ar_vl_forma_pagamento' => ''
        ,'ar_vl_grupo_produtos' => ''
        ,'ar_receitas_pl_contas' => ''
        ,'ar_custos_pl_contas' => ''
        ,'ar_vendas' => ''
    );
    
    
    $sql_vl_forma_pagamento = "select   pl.id_forma_pagamento
                                        ,fp.ds_forma
                                        ,sum(pi.nr_quantidade * (pi.vl_unitario - pi.vl_desconto_produto)) soma
                            	from erpc_pedidos_venda_liberados pl
                            		inner join erpc_pedidos_itens_liberados pi
                            			on pl.id = pi.id_pedido_venda_liberado
                            		inner join erpc_dom_forma_pagamento fp
                            			on pl.id_forma_pagamento = fp.id
                                where pl.id_unidade = $id_unidade
                        		and pl.st_ativo = 1
                                and year(pl.dh_liberacao) = year(NOW())
                                and month(pl.dh_liberacao) = month(NOW())
                            		group by pl.id_forma_pagamento; ";
    
    $ar_vl_forma_pagamento_mensal = array();
    
    $resultado_vl_forma_pagamento = mysqli_query($conexao, $sql_vl_forma_pagamento);
    if(mysqli_num_rows($resultado_vl_forma_pagamento) > 0 ){
        while($vl_forma_pagamento = mysqli_fetch_assoc($resultado_vl_forma_pagamento)){
            $id_forma_pagamento = $vl_forma_pagamento['id_forma_pagamento'];
            $ds_forma_pagamento = $vl_forma_pagamento['ds_forma'];
            $vl_venda           = $vl_forma_pagamento['soma'];
            array_push($ar_vl_forma_pagamento_mensal, array("id" => $id_forma_pagamento, "ds_label" => $ds_forma_pagamento, "vl_dinheiro" => $vl_venda));
        }
    }
    
    $ar_retorno_mensal['ar_vl_forma_pagamento'] = $ar_vl_forma_pagamento_mensal;
    

    /*  Vendas por Grupo de Produto */
    
    $sql_vl_grupo_produtos_mensal = "select 	 id_grupo
                                		,ds_grupo
                                		,SUM(vl_total_pedido) soma
                                		,SUM(nr_vendas)
                                	from
                                			(select 	pg.id id_grupo
                                					,pg.ds_grupo
                                					,SUM(vl.vl_total_pedido) vl_total_pedido
                                					,count(*) nr_vendas
                                				from erpc_pedidos_venda_liberados vl
                                					inner join erpc_pedidos_itens_liberados il
                                						on vl.id = il.id_pedido_venda_liberado
                                					inner join erpc_produtos p
                                						on il.id_produto = p.id
                                					inner join erpc_produtos_grupo pg
                                						on p.id_grupo_produto = pg.id
                                				where YEAR(dh_liberacao) = YEAR(NOW())
                                                    and MONTH(dh_liberacao) = MONTH(NOW())
                                					and id_unidade=$id_unidade
                                					and id_status_pedido = 8
                                                    and vl.st_ativo = 1
                                				group by id_grupo
                                		UNION ALL
                                			select   pg.id id_grupo
                                					,pg.ds_grupo
                                					,SUM(vl.vl_total_pedido)
                                					,count(*) nr_vendas
                                				from erpc_pedidos_venda_liberados vl
                                				inner join erpc_pedidos_documentos_saida pds
                                					on vl.id = pds.id_pedido_liberados
                                				inner join erpc_documentos_saida ds
                                					on pds.id_documento_saida = ds.id
                                				inner join erpc_pedidos_itens_liberados il
                                					on vl.id = il.id_pedido_venda_liberado
                                				inner join erpc_produtos p
                                					on il.id_produto = p.id
                                				inner join erpc_produtos_grupo pg
                                					on p.id_grupo_produto = pg.id
                                			where YEAR(ds.dt_emissao) = YEAR(NOW())
                                                and MONTH(ds.dt_emissao) = MONTH(NOW())
                                				and vl.id_unidade=$id_unidade
                                                and vl.st_ativo = 1
                                				and vl.id_status_pedido = 4
                                				and ds.cd_status_nfe in ('06000', '100')
                                				group by id_grupo) uniao
                                	group by id_grupo;";
    
    //and pl.dh_liberacao between STR_TO_DATE('$dt_inicial', '%d/%m/%Y ') and STR_TO_DATE('$dt_final 23:59', '%d/%m/%Y %k:%i')
    
    $ar_vl_grupo_produtos_mensal = array();
    $resultado_vl_grupos = mysqli_query($conexao, $sql_vl_grupo_produtos_mensal);
    if(mysqli_num_rows($resultado_vl_grupos)> 0 ){
        while($grupo = mysqli_fetch_assoc($resultado_vl_grupos)){
            $id_grupo = $grupo['id_grupo'];
            $ds_grupo = $grupo['ds_grupo'];
            $soma     = $grupo['soma'];
            array_push($ar_vl_grupo_produtos_mensal, array("id_grupo" => $id_grupo, "ds_label" => $ds_grupo, "vl_dinheiro" => $soma));
        }
    }
    
    //echo json_encode($ar_vl_grupo_produtos_anual, JSON_UNESCAPED_UNICODE);
    //array_push($ar_retorno_anual, $ar_vl_grupo_produtos_anual);
    $ar_retorno_mensal['ar_vl_grupo_produtos'] = $ar_vl_grupo_produtos_mensal;
    
    
    /* Custos e Receitas por Plano de Contas; */
    
    $sql_custo_mensal    = "select 	 pc.ds_codigo cod_plano
                            		,pc.ds_plano
                            		,sum(vl_saldo - vl_desconto) saldo
                             from 	erpc_financeiro_lancamentos lanc
                            		inner join erpc_financeiro_plano_contas pc
                            			on lanc.id_planofin = pc.id
                             where lanc.id_tipo_titulo = 2
                                    and pc.st_ativo = 1
                            		and year(lanc.dt_vencimento) = year(now())
                                    and month(lanc.dt_vencimento) = month(now())
                             group by id_planofin
                             order by ds_codigo;";
    
    $ar_custos_pl_contas_mensal = array();
    $resultado_custo = mysqli_query($conexao, $sql_custo_mensal);
    if(mysqli_num_rows($resultado_custo) > 0){
        while($registro = mysqli_fetch_assoc($resultado_custo)){
            $cod_plano = $registro['cod_plano'];
            $ds_plano  = $registro['ds_plano'];
            $saldo     = $registro['saldo'];
            array_push($ar_custos_pl_contas_mensal, array('cod_plano' => $cod_plano, 'ds_label' => $ds_plano, 'vl_dinheiro' => $saldo));
        }
    }
    
    
    $sql_receita_mensal = "select 	 pc.ds_codigo cod_plano
                            		,pc.ds_plano
                            		,sum(vl_saldo - vl_desconto) saldo
                             from 	erpc_financeiro_lancamentos lanc
                            		inner join erpc_financeiro_plano_contas pc
                            			on lanc.id_planofin = pc.id
                             where  lanc.id_tipo_titulo = 1
                                    and pc.st_ativo = 1
                            		and year(lanc.dt_vencimento) = year(now())
                                    and month(lanc.dt_vencimento) = month(now())
                             group by id_planofin
                             order by ds_codigo
                            ;";
    
    $ar_receitas_pl_contas_mensal = array();
    $resultado_receita = mysqli_query($conexao, $sql_receita_mensal);
    if(mysqli_num_rows($resultado_receita) > 0){
        while($registro = mysqli_fetch_assoc($resultado_receita)){
            $cod_plano = $registro['cod_plano'];
            $ds_plano  = $registro['ds_plano'];
            $saldo     = $registro['saldo'];
            array_push($ar_receitas_pl_contas_mensal, array('cod_plano' => $cod_plano, 'ds_label' => $ds_plano, 'vl_dinheiro' => $saldo));
        }
    }
    
    $ar_retorno_mensal['ar_custos_pl_contas'] = $ar_custos_pl_contas_mensal;
    $ar_retorno_mensal['ar_receitas_pl_contas'] = $ar_receitas_pl_contas_mensal;
    
    /*
    $sql_graf_mensal = "select 	 mes
                                    ,SUM(vl_total_pedido) vl_total
                            from (
                                    select 	MONTH(vl.dh_liberacao) mes
                                            ,SUM(vl_total_pedido) vl_total_pedido
                                            from erpc_pedidos_venda_liberados vl
                                                inner join erpc_dom_forma_pagamento fp
                                                    on vl.id_forma_pagamento = fp.id
                                            where YEAR(dh_liberacao) = YEAR(NOW())
                                                and id_unidade=1
                                                and id_status_pedido = 8
                                                and vl.st_ativo = 1
                                            group by MONTH(vl.dh_liberacao)
                                    UNION ALL
                                    select 	 MONTH(vl.dh_liberacao) mes
                                            ,SUM(vl.vl_total_pedido)
                                            from erpc_pedidos_venda_liberados vl
                                            inner join erpc_pedidos_documentos_saida pds
                                                on vl.id = pds.id_pedido_liberados
                                            inner join erpc_documentos_saida ds
                                                on pds.id_documento_saida = ds.id
                                            inner join erpc_dom_forma_pagamento fp
                                                on vl.id_forma_pagamento = fp.id
                                        where YEAR(ds.dt_emissao) = YEAR(NOW())
                                            and vl.id_unidade=1
                                            and vl.st_ativo = 1
                                            and vl.id_status_pedido = 4
                                            and ds.cd_status_nfe in ('06000', '100')
                                        group by MONTH(vl.dh_liberacao)
                                ) uniao
                            group by mes;";
    
    
    $ar_nr_mes = array(
        'nr_mes' => '',
        'vl_dinheiro' => 0.00
    );
    
    
    $ar_vendas_ano = array(
        array('ds_label' => 'Janeiro', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Fevereiro', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Março', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Abril', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Maio', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Junho', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Julho', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Agosto', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Setembro', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Outubro', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Novembro', 'vl_dinheiro' => 0.00),
        array('ds_label' => 'Dezembro', 'vl_dinheiro' => 0.00)
    );
    
    //$ar_vendas_ano = array();
    
    $result_vendas_ano = mysqli_query($conexao, $sql_graf_anual) or die(mysqli_error($conexao));
    if(mysqli_num_rows($result_vendas_ano) > 0){
        while($mes_venda = mysqli_fetch_assoc($result_vendas_ano)){
            $nr_mes = $mes_venda['mes'];
            $vl_mes = $mes_venda['vl_total'];
            $ar_vendas_ano[$nr_mes-1]['vl_dinheiro'] = $vl_mes;
        }
    }
    
    $ar_retorno_anual['ar_vendas_ano'] = $ar_vendas_ano;
    */
    
    echo json_encode($ar_retorno_mensal, JSON_UNESCAPED_UNICODE);
    
}


if(isset($_POST['diario'])){
    
    $ar_retorno = array(
        'ar_vl_forma_pagamento' => ''
        ,'ar_vl_grupo_produtos' => ''
        ,'ar_receitas_pl_contas' => ''
        ,'ar_custos_pl_contas' => ''
        ,'ar_vendas' => ''
    );
    
    
    $sql_vl_forma_pagamento = "select   pl.id_forma_pagamento
                                        ,fp.ds_forma
                                        ,sum(pi.nr_quantidade * (pi.vl_unitario - pi.vl_desconto_produto)) soma
                            	from erpc_pedidos_venda_liberados pl
                            		inner join erpc_pedidos_itens_liberados pi
                            			on pl.id = pi.id_pedido_venda_liberado
                            		inner join erpc_dom_forma_pagamento fp
                            			on pl.id_forma_pagamento = fp.id
                                where pl.id_unidade = $id_unidade
                        		and pl.st_ativo = 1
                                and year(pl.dh_liberacao) = year(NOW())
                                and month(pl.dh_liberacao) = month(NOW())
                                and day(pl.dh_liberacao) = day(NOW())
                            		group by pl.id_forma_pagamento; ";
    
    $ar_vl_forma_pagamento = array();
    
    $resultado_vl_forma_pagamento = mysqli_query($conexao, $sql_vl_forma_pagamento);
    if(mysqli_num_rows($resultado_vl_forma_pagamento) > 0 ){
        while($vl_forma_pagamento = mysqli_fetch_assoc($resultado_vl_forma_pagamento)){
            $id_forma_pagamento = $vl_forma_pagamento['id_forma_pagamento'];
            $ds_forma_pagamento = $vl_forma_pagamento['ds_forma'];
            $vl_venda           = $vl_forma_pagamento['soma'];
            array_push($ar_vl_forma_pagamento, array("id" => $id_forma_pagamento, "ds_label" => $ds_forma_pagamento, "vl_dinheiro" => $vl_venda));
        }
    }
    
    $ar_retorno['ar_vl_forma_pagamento'] = $ar_vl_forma_pagamento;
    
    
    /*  Vendas por Grupo de Produto */
    
    $sql_vl_grupo_produtos = "select 	 id_grupo
                                		,ds_grupo
                                		,SUM(vl_total_pedido) soma
                                		,SUM(nr_vendas)
                                	from
                                			(select 	pg.id id_grupo
                                					,pg.ds_grupo
                                					,SUM(vl.vl_total_pedido) vl_total_pedido
                                					,count(*) nr_vendas
                                				from erpc_pedidos_venda_liberados vl
                                					inner join erpc_pedidos_itens_liberados il
                                						on vl.id = il.id_pedido_venda_liberado
                                					inner join erpc_produtos p
                                						on il.id_produto = p.id
                                					inner join erpc_produtos_grupo pg
                                						on p.id_grupo_produto = pg.id
                                				where YEAR(dh_liberacao) = YEAR(NOW())
                                                    and MONTH(dh_liberacao) = MONTH(NOW())
                                                    and day(dh_liberacao) = day(NOW())
                                					and id_unidade=$id_unidade
                                					and id_status_pedido = 8
                                                    and vl.st_ativo = 1
                                				group by id_grupo
                                		UNION ALL
                                			select   pg.id id_grupo
                                					,pg.ds_grupo
                                					,SUM(vl.vl_total_pedido)
                                					,count(*) nr_vendas
                                				from erpc_pedidos_venda_liberados vl
                                				inner join erpc_pedidos_documentos_saida pds
                                					on vl.id = pds.id_pedido_liberados
                                				inner join erpc_documentos_saida ds
                                					on pds.id_documento_saida = ds.id
                                				inner join erpc_pedidos_itens_liberados il
                                					on vl.id = il.id_pedido_venda_liberado
                                				inner join erpc_produtos p
                                					on il.id_produto = p.id
                                				inner join erpc_produtos_grupo pg
                                					on p.id_grupo_produto = pg.id
                                			where YEAR(ds.dt_emissao) = YEAR(NOW())
                                                and MONTH(ds.dt_emissao) = MONTH(NOW())
                                                and day(ds.dt_emissao) = day(NOW())
                                				and vl.id_unidade=$id_unidade
                                                and vl.st_ativo = 1
                                				and vl.id_status_pedido = 4
                                				and ds.cd_status_nfe in ('06000', '100')
                                				group by id_grupo) uniao
                                	group by id_grupo;";
    
    //and pl.dh_liberacao between STR_TO_DATE('$dt_inicial', '%d/%m/%Y ') and STR_TO_DATE('$dt_final 23:59', '%d/%m/%Y %k:%i')
    
    $ar_vl_grupo_produtos = array();
    $resultado_vl_grupos = mysqli_query($conexao, $sql_vl_grupo_produtos);
    if(mysqli_num_rows($resultado_vl_grupos)> 0 ){
        while($grupo = mysqli_fetch_assoc($resultado_vl_grupos)){
            $id_grupo = $grupo['id_grupo'];
            $ds_grupo = $grupo['ds_grupo'];
            $soma     = $grupo['soma'];
            array_push($ar_vl_grupo_produtos, array("id_grupo" => $id_grupo, "ds_label" => $ds_grupo, "vl_dinheiro" => $soma));
        }
    }
    
    //echo json_encode($ar_vl_grupo_produtos_anual, JSON_UNESCAPED_UNICODE);
    //array_push($ar_retorno_anual, $ar_vl_grupo_produtos_anual);
    $ar_retorno['ar_vl_grupo_produtos'] = $ar_vl_grupo_produtos;
    
    
    /* Custos e Receitas por Plano de Contas; */
    
    $sql_custo    = "select 	 pc.ds_codigo cod_plano
                            		,pc.ds_plano
                            		,sum(vl_saldo - vl_desconto) saldo
                             from 	erpc_financeiro_lancamentos lanc
                            		inner join erpc_financeiro_plano_contas pc
                            			on lanc.id_planofin = pc.id
                             where lanc.id_tipo_titulo = 2
                                    and pc.st_ativo = 1
                            		and year(lanc.dt_vencimento) = year(now())
                                    and month(lanc.dt_vencimento) = month(now())
                                    and day(lanc.dt_vencimento) = day(now())
                             group by id_planofin
                             order by ds_codigo;";
    
    $ar_custos_pl_contas = array();
    $resultado_custo = mysqli_query($conexao, $sql_custo);
    if(mysqli_num_rows($resultado_custo) > 0){
        while($registro = mysqli_fetch_assoc($resultado_custo)){
            $cod_plano = $registro['cod_plano'];
            $ds_plano  = $registro['ds_plano'];
            $saldo     = $registro['saldo'];
            array_push($ar_custos_pl_contas, array('cod_plano' => $cod_plano, 'ds_label' => $ds_plano, 'vl_dinheiro' => $saldo));
        }
    }
    
    
    $sql_receita = "select 	 pc.ds_codigo cod_plano
                            		,pc.ds_plano
                            		,sum(vl_saldo - vl_desconto) saldo
                             from 	erpc_financeiro_lancamentos lanc
                            		inner join erpc_financeiro_plano_contas pc
                            			on lanc.id_planofin = pc.id
                             where  lanc.id_tipo_titulo = 1
                                    and pc.st_ativo = 1
                            		and year(lanc.dt_vencimento) = year(now())
                                    and month(lanc.dt_vencimento) = month(now())
                                    and day(lanc.dt_vencimento) = day(now())
                             group by id_planofin
                             order by ds_codigo
                            ;";
    
    $ar_receitas_pl_contas = array();
    $resultado_receita = mysqli_query($conexao, $sql_receita);
    if(mysqli_num_rows($resultado_receita) > 0){
        while($registro = mysqli_fetch_assoc($resultado_receita)){
            $cod_plano = $registro['cod_plano'];
            $ds_plano  = $registro['ds_plano'];
            $saldo     = $registro['saldo'];
            array_push($ar_receitas_pl_contas, array('cod_plano' => $cod_plano, 'ds_label' => $ds_plano, 'vl_dinheiro' => $saldo));
        }
    }
    
    $ar_retorno['ar_custos_pl_contas'] = $ar_custos_pl_contas;
    $ar_retorno['ar_receitas_pl_contas'] = $ar_receitas_pl_contas;
    
    /*
     $sql_graf_mensal = "select 	 mes
     ,SUM(vl_total_pedido) vl_total
     from (
     select 	MONTH(vl.dh_liberacao) mes
     ,SUM(vl_total_pedido) vl_total_pedido
     from erpc_pedidos_venda_liberados vl
     inner join erpc_dom_forma_pagamento fp
     on vl.id_forma_pagamento = fp.id
     where YEAR(dh_liberacao) = YEAR(NOW())
     and id_unidade=1
     and id_status_pedido = 8
     and vl.st_ativo = 1
     group by MONTH(vl.dh_liberacao)
     UNION ALL
     select 	 MONTH(vl.dh_liberacao) mes
     ,SUM(vl.vl_total_pedido)
     from erpc_pedidos_venda_liberados vl
     inner join erpc_pedidos_documentos_saida pds
     on vl.id = pds.id_pedido_liberados
     inner join erpc_documentos_saida ds
     on pds.id_documento_saida = ds.id
     inner join erpc_dom_forma_pagamento fp
     on vl.id_forma_pagamento = fp.id
     where YEAR(ds.dt_emissao) = YEAR(NOW())
     and vl.id_unidade=1
     and vl.st_ativo = 1
     and vl.id_status_pedido = 4
     and ds.cd_status_nfe in ('06000', '100')
     group by MONTH(vl.dh_liberacao)
     ) uniao
     group by mes;";
     
     
     $ar_nr_mes = array(
     'nr_mes' => '',
     'vl_dinheiro' => 0.00
     );
     
     
     $ar_vendas_ano = array(
     array('ds_label' => 'Janeiro', 'vl_dinheiro' => 0.00),
     array('ds_label' => 'Fevereiro', 'vl_dinheiro' => 0.00),
     array('ds_label' => 'Março', 'vl_dinheiro' => 0.00),
     array('ds_label' => 'Abril', 'vl_dinheiro' => 0.00),
     array('ds_label' => 'Maio', 'vl_dinheiro' => 0.00),
     array('ds_label' => 'Junho', 'vl_dinheiro' => 0.00),
     array('ds_label' => 'Julho', 'vl_dinheiro' => 0.00),
     array('ds_label' => 'Agosto', 'vl_dinheiro' => 0.00),
     array('ds_label' => 'Setembro', 'vl_dinheiro' => 0.00),
     array('ds_label' => 'Outubro', 'vl_dinheiro' => 0.00),
     array('ds_label' => 'Novembro', 'vl_dinheiro' => 0.00),
     array('ds_label' => 'Dezembro', 'vl_dinheiro' => 0.00)
     );
     
     //$ar_vendas_ano = array();
     
     $result_vendas_ano = mysqli_query($conexao, $sql_graf_anual) or die(mysqli_error($conexao));
     if(mysqli_num_rows($result_vendas_ano) > 0){
     while($mes_venda = mysqli_fetch_assoc($result_vendas_ano)){
     $nr_mes = $mes_venda['mes'];
     $vl_mes = $mes_venda['vl_total'];
     $ar_vendas_ano[$nr_mes-1]['vl_dinheiro'] = $vl_mes;
     }
     }
     
     $ar_retorno_anual['ar_vendas_ano'] = $ar_vendas_ano;
     */
    
    echo json_encode($ar_retorno, JSON_UNESCAPED_UNICODE);
    
    
}

